﻿// Bjørk Boye Busch - december 2008
using System;
using System.Collections.Generic;
using System.Text;

namespace Model_Syntakstræ
{
    public class Køreplan
    {
        private int nr;                     
        private List<Afgang> afgange = new List<Afgang>();


        public int Nr
        {
            get { return nr; }
            set { nr = value; }
        }
        public void TilføjAfgang(Afgang nyAfgang)
        {
            this.afgange.Add(nyAfgang);
        }
        public Afgang[] GetAlleAfgange()
        {
            return this.afgange.ToArray();
        }

        public void Udskriv() // for testformål
        {
            Console.WriteLine("# " + nr);
            foreach (Afgang a in afgange)
                a.Udskriv();
        }
    }
}
